Skip to main content
GET
/
v2
/
companies
/
{linkedin_id}
/
job-postings
Get job postings for a company
curl --request GET \
  --url https://api.tamtam.ai/api/v2/companies/{linkedin_id}/job-postings \
  --header 'Authorization: <api-key>'
{
  "job_postings": [
    {
      "job_title": "<string>",
      "source_url": "<string>",
      "city": "<string>",
      "description": "<string>",
      "posted_at": "2023-11-07T05:31:56Z",
      "technologies": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Account API key passed in the Authorization header

Path Parameters

linkedin_id
string
required

LinkedIn numeric company ID. If you only have a name, domain or LinkedIn URL, resolve it first via Search for a company.

Example:

"104924588"

Query Parameters

since
string<date-time>

Return job postings posted since this RFC3339 timestamp. Defaults to 30 days ago. Max lookback is 90 days.

Example:

"2025-05-01T00:00:00Z"

limit
integer<int32>
default:50

Maximum number of job postings to return.

Required range: 1 <= x <= 200
Example:

50

Response

OK

job_postings
object[] | null
required

Job postings for the company, ordered by posting date descending.